# \Thelia\Model\BaseOrderAddressQuery

Base class that represents a query for the 'order_address' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCustomerTitleId()
filterByCompany()
filterByFirstname()
filterByLastname()
filterByAddress1()
filterByAddress2()
filterByAddress3()
filterByZipcode()
filterByCity()
filterByPhone()
filterByCountryId()
filterByCreatedAt()
filterByUpdatedAt()
filterByOrderRelatedByAddressInvoice()
joinOrderRelatedByAddressInvoice()
useOrderRelatedByAddressInvoiceQuery()
filterByOrderRelatedByAddressDelivery()
joinOrderRelatedByAddressDelivery()
useOrderRelatedByAddressDeliveryQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByCustomerTitleId()
orderByCompany()
orderByFirstname()
orderByLastname()
orderByAddress1()
orderByAddress2()
orderByAddress3()
orderByZipcode()
orderByCity()
orderByPhone()
orderByCountryId()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCustomerTitleId()
groupByCompany()
groupByFirstname()
groupByLastname()
groupByAddress1()
groupByAddress2()
groupByAddress3()
groupByZipcode()
groupByCity()
groupByPhone()
groupByCountryId()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinOrderRelatedByAddressInvoice()
rightJoinOrderRelatedByAddressInvoice()
innerJoinOrderRelatedByAddressInvoice()
leftJoinOrderRelatedByAddressDelivery()
rightJoinOrderRelatedByAddressDelivery()
innerJoinOrderRelatedByAddressDelivery()
findOne()
findOneOrCreate()
findOneById()
findOneByCustomerTitleId()
findOneByCompany()
findOneByFirstname()
findOneByLastname()
findOneByAddress1()
findOneByAddress2()
findOneByAddress3()
findOneByZipcode()
findOneByCity()
findOneByPhone()
findOneByCountryId()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCustomerTitleId()
findByCompany()
findByFirstname()
findByLastname()
findByAddress1()
findByAddress2()
findByAddress3()
findByZipcode()
findByCity()
findByPhone()
findByCountryId()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/OrderAddressQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\OrderAddressQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\OrderAddressQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\OrderAddressQuery

Returns a new ChildOrderAddressQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\OrderAddressQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderAddress|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\OrderAddress|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\OrderAddressQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\OrderAddressQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomerTitleId()

    filterByCustomerTitleId(mixed $customerTitleId, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the customer_title_id column

Example usage: `$query->filterByCustomerTitleId(1234); // WHERE customer_title_id = 1234 $query->filterByCustomerTitleId(array(12, 34)); // WHERE customer_title_id IN (12, 34) $query->filterByCustomerTitleId(array('min' => 12)); // WHERE customer_title_id > 12`

#### Parameters

mixed | $customerTitleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCompany()

    filterByCompany(string $company, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the company column

Example usage: `$query->filterByCompany('fooValue'); // WHERE company = 'fooValue' $query->filterByCompany('%fooValue%'); // WHERE company LIKE '%fooValue%'`

#### Parameters

string | $company | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByFirstname()

    filterByFirstname(string $firstname, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the firstname column

Example usage: `$query->filterByFirstname('fooValue'); // WHERE firstname = 'fooValue' $query->filterByFirstname('%fooValue%'); // WHERE firstname LIKE '%fooValue%'`

#### Parameters

string | $firstname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByLastname()

    filterByLastname(string $lastname, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the lastname column

Example usage: `$query->filterByLastname('fooValue'); // WHERE lastname = 'fooValue' $query->filterByLastname('%fooValue%'); // WHERE lastname LIKE '%fooValue%'`

#### Parameters

string | $lastname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress1()

    filterByAddress1(string $address1, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the address1 column

Example usage: `$query->filterByAddress1('fooValue'); // WHERE address1 = 'fooValue' $query->filterByAddress1('%fooValue%'); // WHERE address1 LIKE '%fooValue%'`

#### Parameters

string | $address1 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress2()

    filterByAddress2(string $address2, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the address2 column

Example usage: `$query->filterByAddress2('fooValue'); // WHERE address2 = 'fooValue' $query->filterByAddress2('%fooValue%'); // WHERE address2 LIKE '%fooValue%'`

#### Parameters

string | $address2 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress3()

    filterByAddress3(string $address3, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the address3 column

Example usage: `$query->filterByAddress3('fooValue'); // WHERE address3 = 'fooValue' $query->filterByAddress3('%fooValue%'); // WHERE address3 LIKE '%fooValue%'`

#### Parameters

string | $address3 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByZipcode()

    filterByZipcode(string $zipcode, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the zipcode column

Example usage: `$query->filterByZipcode('fooValue'); // WHERE zipcode = 'fooValue' $query->filterByZipcode('%fooValue%'); // WHERE zipcode LIKE '%fooValue%'`

#### Parameters

string | $zipcode | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCity()

    filterByCity(string $city, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the city column

Example usage: `$query->filterByCity('fooValue'); // WHERE city = 'fooValue' $query->filterByCity('%fooValue%'); // WHERE city LIKE '%fooValue%'`

#### Parameters

string | $city | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPhone()

    filterByPhone(string $phone, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the phone column

Example usage: `$query->filterByPhone('fooValue'); // WHERE phone = 'fooValue' $query->filterByPhone('%fooValue%'); // WHERE phone LIKE '%fooValue%'`

#### Parameters

string | $phone | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCountryId()

    filterByCountryId(mixed $countryId, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the country_id column

Example usage: `$query->filterByCountryId(1234); // WHERE country_id = 1234 $query->filterByCountryId(array(12, 34)); // WHERE country_id IN (12, 34) $query->filterByCountryId(array('min' => 12)); // WHERE country_id > 12`

#### Parameters

mixed | $countryId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByOrderRelatedByAddressInvoice()

    filterByOrderRelatedByAddressInvoice(\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection $order, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query by a related \Thelia\Model\Order object

#### Parameters

\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection | $order | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderRelatedByAddressInvoice()

    joinOrderRelatedByAddressInvoice(string $relationAlias, string $joinType) : \Thelia\Model\OrderAddressQuery

Adds a JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderRelatedByAddressInvoiceQuery()

    useOrderRelatedByAddressInvoiceQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Use the OrderRelatedByAddressInvoice relation Order object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByOrderRelatedByAddressDelivery()

    filterByOrderRelatedByAddressDelivery(\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection $order, string $comparison) : \Thelia\Model\OrderAddressQuery

Filter the query by a related \Thelia\Model\Order object

#### Parameters

\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection | $order | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinOrderRelatedByAddressDelivery()

    joinOrderRelatedByAddressDelivery(string $relationAlias, string $joinType) : \Thelia\Model\OrderAddressQuery

Adds a JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useOrderRelatedByAddressDeliveryQuery()

    useOrderRelatedByAddressDeliveryQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Use the OrderRelatedByAddressDelivery relation Order object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\OrderAddress $orderAddress) : \Thelia\Model\OrderAddressQuery

Exclude object from result

#### Parameters

\Thelia\Model\OrderAddress | $orderAddress | Object to remove from the list of results

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the order_address table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildOrderAddress or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\OrderAddressQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\OrderAddressQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\OrderAddressQuery

Order by update date desc

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\OrderAddressQuery

Order by update date asc

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\OrderAddressQuery

Order by create date desc

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\OrderAddressQuery

Order by create date asc

#### Returns

\Thelia\Model\OrderAddressQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\OrderAddressQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByCustomerTitleId()

    orderByCustomerTitleId($order =) : \Thelia\Model\OrderAddressQuery

Order by the customer_title_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByCompany()

    orderByCompany($order =) : \Thelia\Model\OrderAddressQuery

Order by the company column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByFirstname()

    orderByFirstname($order =) : \Thelia\Model\OrderAddressQuery

Order by the firstname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByLastname()

    orderByLastname($order =) : \Thelia\Model\OrderAddressQuery

Order by the lastname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByAddress1()

    orderByAddress1($order =) : \Thelia\Model\OrderAddressQuery

Order by the address1 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByAddress2()

    orderByAddress2($order =) : \Thelia\Model\OrderAddressQuery

Order by the address2 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByAddress3()

    orderByAddress3($order =) : \Thelia\Model\OrderAddressQuery

Order by the address3 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByZipcode()

    orderByZipcode($order =) : \Thelia\Model\OrderAddressQuery

Order by the zipcode column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByCity()

    orderByCity($order =) : \Thelia\Model\OrderAddressQuery

Order by the city column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByPhone()

    orderByPhone($order =) : \Thelia\Model\OrderAddressQuery

Order by the phone column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByCountryId()

    orderByCountryId($order =) : \Thelia\Model\OrderAddressQuery

Order by the country_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\OrderAddressQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\OrderAddressQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\OrderAddressQuery

Group by the id column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByCustomerTitleId()

    groupByCustomerTitleId() : \Thelia\Model\OrderAddressQuery

Group by the customer_title_id column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByCompany()

    groupByCompany() : \Thelia\Model\OrderAddressQuery

Group by the company column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByFirstname()

    groupByFirstname() : \Thelia\Model\OrderAddressQuery

Group by the firstname column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByLastname()

    groupByLastname() : \Thelia\Model\OrderAddressQuery

Group by the lastname column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByAddress1()

    groupByAddress1() : \Thelia\Model\OrderAddressQuery

Group by the address1 column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByAddress2()

    groupByAddress2() : \Thelia\Model\OrderAddressQuery

Group by the address2 column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByAddress3()

    groupByAddress3() : \Thelia\Model\OrderAddressQuery

Group by the address3 column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByZipcode()

    groupByZipcode() : \Thelia\Model\OrderAddressQuery

Group by the zipcode column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByCity()

    groupByCity() : \Thelia\Model\OrderAddressQuery

Group by the city column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByPhone()

    groupByPhone() : \Thelia\Model\OrderAddressQuery

Group by the phone column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByCountryId()

    groupByCountryId() : \Thelia\Model\OrderAddressQuery

Group by the country_id column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\OrderAddressQuery

Group by the created_at column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\OrderAddressQuery

Group by the updated_at column

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\OrderAddressQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\OrderAddressQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\OrderAddressQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### leftJoinOrderRelatedByAddressInvoice()

    leftJoinOrderRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### rightJoinOrderRelatedByAddressInvoice()

    rightJoinOrderRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### innerJoinOrderRelatedByAddressInvoice()

    innerJoinOrderRelatedByAddressInvoice($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### leftJoinOrderRelatedByAddressDelivery()

    leftJoinOrderRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### rightJoinOrderRelatedByAddressDelivery()

    rightJoinOrderRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### innerJoinOrderRelatedByAddressDelivery()

    innerJoinOrderRelatedByAddressDelivery($relationAlias =) : \Thelia\Model\OrderAddressQuery

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\OrderAddressQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress matching the query, or a new ChildOrderAddress object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByCustomerTitleId()

    findOneByCustomerTitleId(int $customer_title_id) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the customer_title_id column

#### Parameters

int | $customer_title_id |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByCompany()

    findOneByCompany(string $company) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the company column

#### Parameters

string | $company |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByFirstname()

    findOneByFirstname(string $firstname) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByLastname()

    findOneByLastname(string $lastname) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByAddress1()

    findOneByAddress1(string $address1) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the address1 column

#### Parameters

string | $address1 |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByAddress2()

    findOneByAddress2(string $address2) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the address2 column

#### Parameters

string | $address2 |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByAddress3()

    findOneByAddress3(string $address3) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the address3 column

#### Parameters

string | $address3 |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByZipcode()

    findOneByZipcode(string $zipcode) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the zipcode column

#### Parameters

string | $zipcode |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByCity()

    findOneByCity(string $city) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the city column

#### Parameters

string | $city |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByPhone()

    findOneByPhone(string $phone) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the phone column

#### Parameters

string | $phone |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByCountryId()

    findOneByCountryId(int $country_id) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the country_id column

#### Parameters

int | $country_id |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\OrderAddress

Return the first ChildOrderAddress filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\OrderAddress

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildOrderAddress objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByCustomerTitleId()

    findByCustomerTitleId(int $customer_title_id) : array

Return ChildOrderAddress objects filtered by the customer_title_id column

#### Parameters

int | $customer_title_id |

#### Returns

array

#

## Tags

None found

### findByCompany()

    findByCompany(string $company) : array

Return ChildOrderAddress objects filtered by the company column

#### Parameters

string | $company |

#### Returns

array

#

## Tags

None found

### findByFirstname()

    findByFirstname(string $firstname) : array

Return ChildOrderAddress objects filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

array

#

## Tags

None found

### findByLastname()

    findByLastname(string $lastname) : array

Return ChildOrderAddress objects filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

array

#

## Tags

None found

### findByAddress1()

    findByAddress1(string $address1) : array

Return ChildOrderAddress objects filtered by the address1 column

#### Parameters

string | $address1 |

#### Returns

array

#

## Tags

None found

### findByAddress2()

    findByAddress2(string $address2) : array

Return ChildOrderAddress objects filtered by the address2 column

#### Parameters

string | $address2 |

#### Returns

array

#

## Tags

None found

### findByAddress3()

    findByAddress3(string $address3) : array

Return ChildOrderAddress objects filtered by the address3 column

#### Parameters

string | $address3 |

#### Returns

array

#

## Tags

None found

### findByZipcode()

    findByZipcode(string $zipcode) : array

Return ChildOrderAddress objects filtered by the zipcode column

#### Parameters

string | $zipcode |

#### Returns

array

#

## Tags

None found

### findByCity()

    findByCity(string $city) : array

Return ChildOrderAddress objects filtered by the city column

#### Parameters

string | $city |

#### Returns

array

#

## Tags

None found

### findByPhone()

    findByPhone(string $phone) : array

Return ChildOrderAddress objects filtered by the phone column

#### Parameters

string | $phone |

#### Returns

array

#

## Tags

None found

### findByCountryId()

    findByCountryId(int $country_id) : array

Return ChildOrderAddress objects filtered by the country_id column

#### Parameters

int | $country_id |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildOrderAddress objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildOrderAddress objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderAddress

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\OrderAddress —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\OrderAddress|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\OrderAddress|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### OrderAddressQuery.php